Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network131.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
131.0.0.0
Broadcast address
131.127.255.255
First usable
131.0.0.1
Last usable
131.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
B (default /16)
As numbers
Hex 83000000 · Integer 2197815296 to 2206203903
Reverse DNS zones
0.131.in-addr.arpa
1.131.in-addr.arpa
2.131.in-addr.arpa
3.131.in-addr.arpa
4.131.in-addr.arpa
5.131.in-addr.arpa
6.131.in-addr.arpa
7.131.in-addr.arpa
8.131.in-addr.arpa
9.131.in-addr.arpa
10.131.in-addr.arpa
11.131.in-addr.arpa
12.131.in-addr.arpa
13.131.in-addr.arpa
14.131.in-addr.arpa
15.131.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000011.00000000.00000000.00000000131.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network10000011.00000000.00000000.00000000131.0.0.0
Broadcast10000011.01111111.11111111.11111111131.127.255.255
Split into smaller subnets/17

131.0.0.0/9 makes 256 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1131.0.0.0/17131.0.0.1 to 131.0.127.254131.0.127.25532,766
2131.0.128.0/17131.0.128.1 to 131.0.255.254131.0.255.25532,766
3131.1.0.0/17131.1.0.1 to 131.1.127.254131.1.127.25532,766
4131.1.128.0/17131.1.128.1 to 131.1.255.254131.1.255.25532,766
5131.2.0.0/17131.2.0.1 to 131.2.127.254131.2.127.25532,766
6131.2.128.0/17131.2.128.1 to 131.2.255.254131.2.255.25532,766
7131.3.0.0/17131.3.0.1 to 131.3.127.254131.3.127.25532,766
8131.3.128.0/17131.3.128.1 to 131.3.255.254131.3.255.25532,766
9131.4.0.0/17131.4.0.1 to 131.4.127.254131.4.127.25532,766
10131.4.128.0/17131.4.128.1 to 131.4.255.254131.4.255.25532,766
11131.5.0.0/17131.5.0.1 to 131.5.127.254131.5.127.25532,766
12131.5.128.0/17131.5.128.1 to 131.5.255.254131.5.255.25532,766
13131.6.0.0/17131.6.0.1 to 131.6.127.254131.6.127.25532,766
14131.6.128.0/17131.6.128.1 to 131.6.255.254131.6.255.25532,766
15131.7.0.0/17131.7.0.1 to 131.7.127.254131.7.127.25532,766
16131.7.128.0/17131.7.128.1 to 131.7.255.254131.7.255.25532,766
17131.8.0.0/17131.8.0.1 to 131.8.127.254131.8.127.25532,766
18131.8.128.0/17131.8.128.1 to 131.8.255.254131.8.255.25532,766
19131.9.0.0/17131.9.0.1 to 131.9.127.254131.9.127.25532,766
20131.9.128.0/17131.9.128.1 to 131.9.255.254131.9.255.25532,766
21131.10.0.0/17131.10.0.1 to 131.10.127.254131.10.127.25532,766
22131.10.128.0/17131.10.128.1 to 131.10.255.254131.10.255.25532,766
23131.11.0.0/17131.11.0.1 to 131.11.127.254131.11.127.25532,766
24131.11.128.0/17131.11.128.1 to 131.11.255.254131.11.255.25532,766
25131.12.0.0/17131.12.0.1 to 131.12.127.254131.12.127.25532,766
26131.12.128.0/17131.12.128.1 to 131.12.255.254131.12.255.25532,766
27131.13.0.0/17131.13.0.1 to 131.13.127.254131.13.127.25532,766
28131.13.128.0/17131.13.128.1 to 131.13.255.254131.13.255.25532,766
29131.14.0.0/17131.14.0.1 to 131.14.127.254131.14.127.25532,766
30131.14.128.0/17131.14.128.1 to 131.14.255.254131.14.255.25532,766
31131.15.0.0/17131.15.0.1 to 131.15.127.254131.15.127.25532,766
32131.15.128.0/17131.15.128.1 to 131.15.255.254131.15.255.25532,766
33131.16.0.0/17131.16.0.1 to 131.16.127.254131.16.127.25532,766
34131.16.128.0/17131.16.128.1 to 131.16.255.254131.16.255.25532,766
35131.17.0.0/17131.17.0.1 to 131.17.127.254131.17.127.25532,766
36131.17.128.0/17131.17.128.1 to 131.17.255.254131.17.255.25532,766
37131.18.0.0/17131.18.0.1 to 131.18.127.254131.18.127.25532,766
38131.18.128.0/17131.18.128.1 to 131.18.255.254131.18.255.25532,766
39131.19.0.0/17131.19.0.1 to 131.19.127.254131.19.127.25532,766
40131.19.128.0/17131.19.128.1 to 131.19.255.254131.19.255.25532,766
41131.20.0.0/17131.20.0.1 to 131.20.127.254131.20.127.25532,766
42131.20.128.0/17131.20.128.1 to 131.20.255.254131.20.255.25532,766
43131.21.0.0/17131.21.0.1 to 131.21.127.254131.21.127.25532,766
44131.21.128.0/17131.21.128.1 to 131.21.255.254131.21.255.25532,766
45131.22.0.0/17131.22.0.1 to 131.22.127.254131.22.127.25532,766
46131.22.128.0/17131.22.128.1 to 131.22.255.254131.22.255.25532,766
47131.23.0.0/17131.23.0.1 to 131.23.127.254131.23.127.25532,766
48131.23.128.0/17131.23.128.1 to 131.23.255.254131.23.255.25532,766
49131.24.0.0/17131.24.0.1 to 131.24.127.254131.24.127.25532,766
50131.24.128.0/17131.24.128.1 to 131.24.255.254131.24.255.25532,766
51131.25.0.0/17131.25.0.1 to 131.25.127.254131.25.127.25532,766
52131.25.128.0/17131.25.128.1 to 131.25.255.254131.25.255.25532,766
53131.26.0.0/17131.26.0.1 to 131.26.127.254131.26.127.25532,766
54131.26.128.0/17131.26.128.1 to 131.26.255.254131.26.255.25532,766
55131.27.0.0/17131.27.0.1 to 131.27.127.254131.27.127.25532,766
56131.27.128.0/17131.27.128.1 to 131.27.255.254131.27.255.25532,766
57131.28.0.0/17131.28.0.1 to 131.28.127.254131.28.127.25532,766
58131.28.128.0/17131.28.128.1 to 131.28.255.254131.28.255.25532,766
59131.29.0.0/17131.29.0.1 to 131.29.127.254131.29.127.25532,766
60131.29.128.0/17131.29.128.1 to 131.29.255.254131.29.255.25532,766
61131.30.0.0/17131.30.0.1 to 131.30.127.254131.30.127.25532,766
62131.30.128.0/17131.30.128.1 to 131.30.255.254131.30.255.25532,766
63131.31.0.0/17131.31.0.1 to 131.31.127.254131.31.127.25532,766
64131.31.128.0/17131.31.128.1 to 131.31.255.254131.31.255.25532,766
65131.32.0.0/17131.32.0.1 to 131.32.127.254131.32.127.25532,766
66131.32.128.0/17131.32.128.1 to 131.32.255.254131.32.255.25532,766
67131.33.0.0/17131.33.0.1 to 131.33.127.254131.33.127.25532,766
68131.33.128.0/17131.33.128.1 to 131.33.255.254131.33.255.25532,766
69131.34.0.0/17131.34.0.1 to 131.34.127.254131.34.127.25532,766
70131.34.128.0/17131.34.128.1 to 131.34.255.254131.34.255.25532,766
71131.35.0.0/17131.35.0.1 to 131.35.127.254131.35.127.25532,766
72131.35.128.0/17131.35.128.1 to 131.35.255.254131.35.255.25532,766
73131.36.0.0/17131.36.0.1 to 131.36.127.254131.36.127.25532,766
74131.36.128.0/17131.36.128.1 to 131.36.255.254131.36.255.25532,766
75131.37.0.0/17131.37.0.1 to 131.37.127.254131.37.127.25532,766
76131.37.128.0/17131.37.128.1 to 131.37.255.254131.37.255.25532,766
77131.38.0.0/17131.38.0.1 to 131.38.127.254131.38.127.25532,766
78131.38.128.0/17131.38.128.1 to 131.38.255.254131.38.255.25532,766
79131.39.0.0/17131.39.0.1 to 131.39.127.254131.39.127.25532,766
80131.39.128.0/17131.39.128.1 to 131.39.255.254131.39.255.25532,766
81131.40.0.0/17131.40.0.1 to 131.40.127.254131.40.127.25532,766
82131.40.128.0/17131.40.128.1 to 131.40.255.254131.40.255.25532,766
83131.41.0.0/17131.41.0.1 to 131.41.127.254131.41.127.25532,766
84131.41.128.0/17131.41.128.1 to 131.41.255.254131.41.255.25532,766
85131.42.0.0/17131.42.0.1 to 131.42.127.254131.42.127.25532,766
86131.42.128.0/17131.42.128.1 to 131.42.255.254131.42.255.25532,766
87131.43.0.0/17131.43.0.1 to 131.43.127.254131.43.127.25532,766
88131.43.128.0/17131.43.128.1 to 131.43.255.254131.43.255.25532,766
89131.44.0.0/17131.44.0.1 to 131.44.127.254131.44.127.25532,766
90131.44.128.0/17131.44.128.1 to 131.44.255.254131.44.255.25532,766
91131.45.0.0/17131.45.0.1 to 131.45.127.254131.45.127.25532,766
92131.45.128.0/17131.45.128.1 to 131.45.255.254131.45.255.25532,766
93131.46.0.0/17131.46.0.1 to 131.46.127.254131.46.127.25532,766
94131.46.128.0/17131.46.128.1 to 131.46.255.254131.46.255.25532,766
95131.47.0.0/17131.47.0.1 to 131.47.127.254131.47.127.25532,766
96131.47.128.0/17131.47.128.1 to 131.47.255.254131.47.255.25532,766
97131.48.0.0/17131.48.0.1 to 131.48.127.254131.48.127.25532,766
98131.48.128.0/17131.48.128.1 to 131.48.255.254131.48.255.25532,766
99131.49.0.0/17131.49.0.1 to 131.49.127.254131.49.127.25532,766
100131.49.128.0/17131.49.128.1 to 131.49.255.254131.49.255.25532,766
101131.50.0.0/17131.50.0.1 to 131.50.127.254131.50.127.25532,766
102131.50.128.0/17131.50.128.1 to 131.50.255.254131.50.255.25532,766
103131.51.0.0/17131.51.0.1 to 131.51.127.254131.51.127.25532,766
104131.51.128.0/17131.51.128.1 to 131.51.255.254131.51.255.25532,766
105131.52.0.0/17131.52.0.1 to 131.52.127.254131.52.127.25532,766
106131.52.128.0/17131.52.128.1 to 131.52.255.254131.52.255.25532,766
107131.53.0.0/17131.53.0.1 to 131.53.127.254131.53.127.25532,766
108131.53.128.0/17131.53.128.1 to 131.53.255.254131.53.255.25532,766
109131.54.0.0/17131.54.0.1 to 131.54.127.254131.54.127.25532,766
110131.54.128.0/17131.54.128.1 to 131.54.255.254131.54.255.25532,766
111131.55.0.0/17131.55.0.1 to 131.55.127.254131.55.127.25532,766
112131.55.128.0/17131.55.128.1 to 131.55.255.254131.55.255.25532,766
113131.56.0.0/17131.56.0.1 to 131.56.127.254131.56.127.25532,766
114131.56.128.0/17131.56.128.1 to 131.56.255.254131.56.255.25532,766
115131.57.0.0/17131.57.0.1 to 131.57.127.254131.57.127.25532,766
116131.57.128.0/17131.57.128.1 to 131.57.255.254131.57.255.25532,766
117131.58.0.0/17131.58.0.1 to 131.58.127.254131.58.127.25532,766
118131.58.128.0/17131.58.128.1 to 131.58.255.254131.58.255.25532,766
119131.59.0.0/17131.59.0.1 to 131.59.127.254131.59.127.25532,766
120131.59.128.0/17131.59.128.1 to 131.59.255.254131.59.255.25532,766
121131.60.0.0/17131.60.0.1 to 131.60.127.254131.60.127.25532,766
122131.60.128.0/17131.60.128.1 to 131.60.255.254131.60.255.25532,766
123131.61.0.0/17131.61.0.1 to 131.61.127.254131.61.127.25532,766
124131.61.128.0/17131.61.128.1 to 131.61.255.254131.61.255.25532,766
125131.62.0.0/17131.62.0.1 to 131.62.127.254131.62.127.25532,766
126131.62.128.0/17131.62.128.1 to 131.62.255.254131.62.255.25532,766
127131.63.0.0/17131.63.0.1 to 131.63.127.254131.63.127.25532,766
128131.63.128.0/17131.63.128.1 to 131.63.255.254131.63.255.25532,766
129131.64.0.0/17131.64.0.1 to 131.64.127.254131.64.127.25532,766
130131.64.128.0/17131.64.128.1 to 131.64.255.254131.64.255.25532,766
131131.65.0.0/17131.65.0.1 to 131.65.127.254131.65.127.25532,766
132131.65.128.0/17131.65.128.1 to 131.65.255.254131.65.255.25532,766
133131.66.0.0/17131.66.0.1 to 131.66.127.254131.66.127.25532,766
134131.66.128.0/17131.66.128.1 to 131.66.255.254131.66.255.25532,766
135131.67.0.0/17131.67.0.1 to 131.67.127.254131.67.127.25532,766
136131.67.128.0/17131.67.128.1 to 131.67.255.254131.67.255.25532,766
137131.68.0.0/17131.68.0.1 to 131.68.127.254131.68.127.25532,766
138131.68.128.0/17131.68.128.1 to 131.68.255.254131.68.255.25532,766
139131.69.0.0/17131.69.0.1 to 131.69.127.254131.69.127.25532,766
140131.69.128.0/17131.69.128.1 to 131.69.255.254131.69.255.25532,766
141131.70.0.0/17131.70.0.1 to 131.70.127.254131.70.127.25532,766
142131.70.128.0/17131.70.128.1 to 131.70.255.254131.70.255.25532,766
143131.71.0.0/17131.71.0.1 to 131.71.127.254131.71.127.25532,766
144131.71.128.0/17131.71.128.1 to 131.71.255.254131.71.255.25532,766
145131.72.0.0/17131.72.0.1 to 131.72.127.254131.72.127.25532,766
146131.72.128.0/17131.72.128.1 to 131.72.255.254131.72.255.25532,766
147131.73.0.0/17131.73.0.1 to 131.73.127.254131.73.127.25532,766
148131.73.128.0/17131.73.128.1 to 131.73.255.254131.73.255.25532,766
149131.74.0.0/17131.74.0.1 to 131.74.127.254131.74.127.25532,766
150131.74.128.0/17131.74.128.1 to 131.74.255.254131.74.255.25532,766
151131.75.0.0/17131.75.0.1 to 131.75.127.254131.75.127.25532,766
152131.75.128.0/17131.75.128.1 to 131.75.255.254131.75.255.25532,766
153131.76.0.0/17131.76.0.1 to 131.76.127.254131.76.127.25532,766
154131.76.128.0/17131.76.128.1 to 131.76.255.254131.76.255.25532,766
155131.77.0.0/17131.77.0.1 to 131.77.127.254131.77.127.25532,766
156131.77.128.0/17131.77.128.1 to 131.77.255.254131.77.255.25532,766
157131.78.0.0/17131.78.0.1 to 131.78.127.254131.78.127.25532,766
158131.78.128.0/17131.78.128.1 to 131.78.255.254131.78.255.25532,766
159131.79.0.0/17131.79.0.1 to 131.79.127.254131.79.127.25532,766
160131.79.128.0/17131.79.128.1 to 131.79.255.254131.79.255.25532,766
161131.80.0.0/17131.80.0.1 to 131.80.127.254131.80.127.25532,766
162131.80.128.0/17131.80.128.1 to 131.80.255.254131.80.255.25532,766
163131.81.0.0/17131.81.0.1 to 131.81.127.254131.81.127.25532,766
164131.81.128.0/17131.81.128.1 to 131.81.255.254131.81.255.25532,766
165131.82.0.0/17131.82.0.1 to 131.82.127.254131.82.127.25532,766
166131.82.128.0/17131.82.128.1 to 131.82.255.254131.82.255.25532,766
167131.83.0.0/17131.83.0.1 to 131.83.127.254131.83.127.25532,766
168131.83.128.0/17131.83.128.1 to 131.83.255.254131.83.255.25532,766
169131.84.0.0/17131.84.0.1 to 131.84.127.254131.84.127.25532,766
170131.84.128.0/17131.84.128.1 to 131.84.255.254131.84.255.25532,766
171131.85.0.0/17131.85.0.1 to 131.85.127.254131.85.127.25532,766
172131.85.128.0/17131.85.128.1 to 131.85.255.254131.85.255.25532,766
173131.86.0.0/17131.86.0.1 to 131.86.127.254131.86.127.25532,766
174131.86.128.0/17131.86.128.1 to 131.86.255.254131.86.255.25532,766
175131.87.0.0/17131.87.0.1 to 131.87.127.254131.87.127.25532,766
176131.87.128.0/17131.87.128.1 to 131.87.255.254131.87.255.25532,766
177131.88.0.0/17131.88.0.1 to 131.88.127.254131.88.127.25532,766
178131.88.128.0/17131.88.128.1 to 131.88.255.254131.88.255.25532,766
179131.89.0.0/17131.89.0.1 to 131.89.127.254131.89.127.25532,766
180131.89.128.0/17131.89.128.1 to 131.89.255.254131.89.255.25532,766
181131.90.0.0/17131.90.0.1 to 131.90.127.254131.90.127.25532,766
182131.90.128.0/17131.90.128.1 to 131.90.255.254131.90.255.25532,766
183131.91.0.0/17131.91.0.1 to 131.91.127.254131.91.127.25532,766
184131.91.128.0/17131.91.128.1 to 131.91.255.254131.91.255.25532,766
185131.92.0.0/17131.92.0.1 to 131.92.127.254131.92.127.25532,766
186131.92.128.0/17131.92.128.1 to 131.92.255.254131.92.255.25532,766
187131.93.0.0/17131.93.0.1 to 131.93.127.254131.93.127.25532,766
188131.93.128.0/17131.93.128.1 to 131.93.255.254131.93.255.25532,766
189131.94.0.0/17131.94.0.1 to 131.94.127.254131.94.127.25532,766
190131.94.128.0/17131.94.128.1 to 131.94.255.254131.94.255.25532,766
191131.95.0.0/17131.95.0.1 to 131.95.127.254131.95.127.25532,766
192131.95.128.0/17131.95.128.1 to 131.95.255.254131.95.255.25532,766
193131.96.0.0/17131.96.0.1 to 131.96.127.254131.96.127.25532,766
194131.96.128.0/17131.96.128.1 to 131.96.255.254131.96.255.25532,766
195131.97.0.0/17131.97.0.1 to 131.97.127.254131.97.127.25532,766
196131.97.128.0/17131.97.128.1 to 131.97.255.254131.97.255.25532,766
197131.98.0.0/17131.98.0.1 to 131.98.127.254131.98.127.25532,766
198131.98.128.0/17131.98.128.1 to 131.98.255.254131.98.255.25532,766
199131.99.0.0/17131.99.0.1 to 131.99.127.254131.99.127.25532,766
200131.99.128.0/17131.99.128.1 to 131.99.255.254131.99.255.25532,766
201131.100.0.0/17131.100.0.1 to 131.100.127.254131.100.127.25532,766
202131.100.128.0/17131.100.128.1 to 131.100.255.254131.100.255.25532,766
203131.101.0.0/17131.101.0.1 to 131.101.127.254131.101.127.25532,766
204131.101.128.0/17131.101.128.1 to 131.101.255.254131.101.255.25532,766
205131.102.0.0/17131.102.0.1 to 131.102.127.254131.102.127.25532,766
206131.102.128.0/17131.102.128.1 to 131.102.255.254131.102.255.25532,766
207131.103.0.0/17131.103.0.1 to 131.103.127.254131.103.127.25532,766
208131.103.128.0/17131.103.128.1 to 131.103.255.254131.103.255.25532,766
209131.104.0.0/17131.104.0.1 to 131.104.127.254131.104.127.25532,766
210131.104.128.0/17131.104.128.1 to 131.104.255.254131.104.255.25532,766
211131.105.0.0/17131.105.0.1 to 131.105.127.254131.105.127.25532,766
212131.105.128.0/17131.105.128.1 to 131.105.255.254131.105.255.25532,766
213131.106.0.0/17131.106.0.1 to 131.106.127.254131.106.127.25532,766
214131.106.128.0/17131.106.128.1 to 131.106.255.254131.106.255.25532,766
215131.107.0.0/17131.107.0.1 to 131.107.127.254131.107.127.25532,766
216131.107.128.0/17131.107.128.1 to 131.107.255.254131.107.255.25532,766
217131.108.0.0/17131.108.0.1 to 131.108.127.254131.108.127.25532,766
218131.108.128.0/17131.108.128.1 to 131.108.255.254131.108.255.25532,766
219131.109.0.0/17131.109.0.1 to 131.109.127.254131.109.127.25532,766
220131.109.128.0/17131.109.128.1 to 131.109.255.254131.109.255.25532,766
221131.110.0.0/17131.110.0.1 to 131.110.127.254131.110.127.25532,766
222131.110.128.0/17131.110.128.1 to 131.110.255.254131.110.255.25532,766
223131.111.0.0/17131.111.0.1 to 131.111.127.254131.111.127.25532,766
224131.111.128.0/17131.111.128.1 to 131.111.255.254131.111.255.25532,766
225131.112.0.0/17131.112.0.1 to 131.112.127.254131.112.127.25532,766
226131.112.128.0/17131.112.128.1 to 131.112.255.254131.112.255.25532,766
227131.113.0.0/17131.113.0.1 to 131.113.127.254131.113.127.25532,766
228131.113.128.0/17131.113.128.1 to 131.113.255.254131.113.255.25532,766
229131.114.0.0/17131.114.0.1 to 131.114.127.254131.114.127.25532,766
230131.114.128.0/17131.114.128.1 to 131.114.255.254131.114.255.25532,766
231131.115.0.0/17131.115.0.1 to 131.115.127.254131.115.127.25532,766
232131.115.128.0/17131.115.128.1 to 131.115.255.254131.115.255.25532,766
233131.116.0.0/17131.116.0.1 to 131.116.127.254131.116.127.25532,766
234131.116.128.0/17131.116.128.1 to 131.116.255.254131.116.255.25532,766
235131.117.0.0/17131.117.0.1 to 131.117.127.254131.117.127.25532,766
236131.117.128.0/17131.117.128.1 to 131.117.255.254131.117.255.25532,766
237131.118.0.0/17131.118.0.1 to 131.118.127.254131.118.127.25532,766
238131.118.128.0/17131.118.128.1 to 131.118.255.254131.118.255.25532,766
239131.119.0.0/17131.119.0.1 to 131.119.127.254131.119.127.25532,766
240131.119.128.0/17131.119.128.1 to 131.119.255.254131.119.255.25532,766
241131.120.0.0/17131.120.0.1 to 131.120.127.254131.120.127.25532,766
242131.120.128.0/17131.120.128.1 to 131.120.255.254131.120.255.25532,766
243131.121.0.0/17131.121.0.1 to 131.121.127.254131.121.127.25532,766
244131.121.128.0/17131.121.128.1 to 131.121.255.254131.121.255.25532,766
245131.122.0.0/17131.122.0.1 to 131.122.127.254131.122.127.25532,766
246131.122.128.0/17131.122.128.1 to 131.122.255.254131.122.255.25532,766
247131.123.0.0/17131.123.0.1 to 131.123.127.254131.123.127.25532,766
248131.123.128.0/17131.123.128.1 to 131.123.255.254131.123.255.25532,766
249131.124.0.0/17131.124.0.1 to 131.124.127.254131.124.127.25532,766
250131.124.128.0/17131.124.128.1 to 131.124.255.254131.124.255.25532,766
251131.125.0.0/17131.125.0.1 to 131.125.127.254131.125.127.25532,766
252131.125.128.0/17131.125.128.1 to 131.125.255.254131.125.255.25532,766
253131.126.0.0/17131.126.0.1 to 131.126.127.254131.126.127.25532,766
254131.126.128.0/17131.126.128.1 to 131.126.255.254131.126.255.25532,766
255131.127.0.0/17131.127.0.1 to 131.127.127.254131.127.127.25532,766
256131.127.128.0/17131.127.128.1 to 131.127.255.254131.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses